import { Base, Type } from "igniteui-webcomponents-core";
import { Color } from "igniteui-webcomponents-core";
import { Brush } from "igniteui-webcomponents-core";
import { DomRenderer } from "igniteui-webcomponents-core";
import { CellModel } from "./CellModel";
import { CanvasGridCellBase } from "./CanvasGridCellBase";
import { FontInfo } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class CanvasContentCellModelHelper extends Base {
    static $t: Type;
    private static d;
    static e(a: Brush): Color;
    static a(a: DomRenderer, b: CellModel, c: CanvasGridCellBase): void;
    static b(a: DomRenderer, b: CanvasGridCellBase, c: FontInfo): void;
    static c(a: CanvasGridCellBase, b: Brush): void;
}
